import * as rollup from 'rollup';
import * as shiki from 'shiki';
import { HighlighterOptions } from 'shiki';

declare type mapExtension = Record<string, string>;
declare type SyntaxHighlightOptions = HighlighterOptions & {
    mapExtension?: mapExtension;
};

declare type Options = {
    languages?: Record<string, string>;
    paramRegExp?: RegExp;
    theme?: string;
};
declare const syntaxHighlight: ({ ssr, ...baseOptions }?: shiki.HighlighterOptions & {
    mapExtension?: mapExtension | undefined;
} & {
    ssr?: boolean | undefined;
}) => Pick<rollup.Plugin, "name" | "resolveId"> & {
    load?: ((this: rollup.PluginContext, id: string, options: {
        ssr?: boolean | undefined;
    }) => Promise<rollup.LoadResult>) | undefined;
    enforce?: "pre" | "post" | undefined;
};

export { Options, SyntaxHighlightOptions, syntaxHighlight };
